get
https://api-pro.sim.hashkeydev.com/api/v1/account/chainType
Get the supported list of ChainType for a specific CoinId(e.g. ETH)
ChainType is typically used when deposit & withdrawal
Related End Points: Get Deposit address | Withdraw
Weight: 1
Request Parameters
| PARAMETER | TYPE | Req 'd | DESCRIPTION |
|---|---|---|---|
| coinId | STRING | Y | The unique identifier of the cryptocurrency. 加密货币的唯一标识符。 |
Response Content
| PARAMETER | TYPE | Req'd | Example Values | DESCRIPTION |
|---|---|---|---|---|
| coinId | STRING | Y | ETH | The unique identifier of the cryptocurrency. 加密货币的唯一标识符。 |
| coinName | STRING | Y | ETH | The name of the cryptocurrency. 加密货币的名称。 |
| chainTypeList | List | ["ETH", "BTC", "Tron"] | List of supported chain types. 支持的链类型列表。 | |
| errorCode | STRING | Conditional | 0001 | Error code, return only when there is an error. 错误码,仅在有错误时返回。 |
| errorMsg | STRING | Conditional | Error message, returned only when there is an error. 错误信息说明,仅在有错误时返回。 |